#!/bin/sh
### ====================================================================== ###
##                                                                          ##
##  JTC UpdateTool JVM Launcher                                             ##
##                                                                          ##
### ====================================================================== ###

DIRNAME=`dirname $0`
PROGNAME=`basename $0`
GREP="grep"

#
# Helper to complain.
#
warn() {
    echo "${PROGNAME}: $*"
}

#
# Helper to puke.
#
die() {
    warn $*
    exit 1
}

cygwin=false;
case "`uname`" in
  CYGWIN*) cygwin=true;
esac

# Setup the JVM
if [ "x$JAVA" = "x" ]; then
    if [ "x$JAVA_HOME" != "x" ]; then 
       JAVA="$JAVA_HOME/bin/java"
    else
       JAVA="java"
    fi
fi

# Setup the classpath
mainjar="przekoder.jar"
if [ ! -f "$mainjar" ]; then
    die "Missing required file: $mainjar"
fi

RUN_CLASSPATH="$mainjar:$DIRNAME/jaybird-full-2.1.6.jar:jtc-server.jar"

# Setup specific properties
JAVA_OPTS="-Xms512m -Xmx512m  -Duser.language=pl -Duser.region=PL_pomost -Dprogram.name=$PROGNAME $JAVA_OPTS"

if $cygwin; then
  RUN_CLASSPATH=`cygpath --path --windows $RUN_CLASSPATH`
fi

# Execute the JVM
"$JAVA" $JAVA_OPTS \
   -classpath "$RUN_CLASSPATH" \
       pl.sygnity.jtc.przekoder.Main "$@"